%define name dtsdec
%define version 0.0.2
%define release %mkrel 5
%define oname libdts
%define fname %oname-%version
%define distsuffix plf
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary: DTS Coherent Acoustics decoder
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{fname}.tar.bz2
License: GPL
Group: Sound
Url: http://www.videolan.org/dtsdec.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in PLF as it might violate some patents.

%package devel
Group: Development/C
Summary: Library for decoding DTS audio

%description devel 
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.

This is in PLF as it might violate some patents.

%prep
%setup -q -n %fname

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m 644 libdts/dts_internal.h %buildroot%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%_bindir/dtsdec
%_bindir/extract_dts
%_mandir/man1/dtsdec.1*
%_mandir/man1/extract_dts.1*

%files devel
%defattr(-,root,root)
%doc TODO
%_includedir/dts.h
%_includedir/dts_internal.h
%_libdir/*a
%_libdir/pkgconfig/libdts.pc
%changelog
* Sun Dec  3 2006 Gtz Waschk <goetz@zarb.org> 0.0.2-5plf2007.1
- fix description
- add dts_internal header for avidemux

* Mon Aug 28 2006 Gtz Waschk <goetz@zarb.org> 0.0.2-4plf2007.0
- rebuild

* Sun Aug 07 2005 trem <trem@zarb.org> 0.0.2-3plf
- add distsuffix

* Mon May 23 2005 Gtz Waschk <goetz@zarb.org> 0.0.2-2plf
- mkrel

* Wed Nov  3 2004 Gtz Waschk <goetz@zarb.org> 0.0.2-1plf
- initial plf package

* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- the header has moved to %_includedir
- new version

* Wed Feb 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
